<?php
/*------------------------------------------------------------------------
# mod_drilldown_menu - VTEM DrillDown Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).DS.'helper.php';
$thmDir = dirname(__FILE__) .DS. 'tmpl' .DS;
$app	= JFactory::getApplication();
$menu	= $app->getMenu();
$active	= $menu->getActive();
require_once( $thmDir . 'SliderBase.php' );
$active_id = isset($active) ? $active->id : $menu->getDefault()->id;
$path	= isset($active) ? $active->tree : array();
$assetDir = dirname(__FILE__) .DS. 'theme' .DS. 'images'. DS;
$showAll	= $params->get('showAllChildren',1);
$class_sfx	= htmlspecialchars($params->get('class_sfx'));
require_once( $thmDir . 'imageCache.php' );

$slideID = $params->get('slideID');
$module_usage = $params->get('module_usage',0);
$document = &JFactory::getDocument();

// Output
switch ($module_usage) {
   case '0':
    $list	= modDrillDownMenuHelper::getList($params);
    require(JModuleHelper::getLayoutPath('mod_vtem_drilldown_menu', 'default'));
    break;
  case '1':
    $output = modDrillDownMenuHelper::treerecurse($params, 0, 0, true);
    require (JModuleHelper::getLayoutPath('mod_vtem_drilldown_menu', 'categories'));
    break;    
}
